Part Cylinder/it: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 15: Line 15:
Crea un cilindro parametrico. Attualmente, nell'ambiente Parte, ci sono due modi per creare un cilindro.
Crea un cilindro parametrico. Attualmente, nell'ambiente Parte, ci sono due modi per creare un cilindro.
</div>
</div>

A Part Cylinder can be turned into a segment of a cylinder by changing its {{PropertyData|Angle}} property.

[[Image:Part_Cylinder_Example.png|400px]]


==Utilizzo==
==Utilizzo==
Line 25: Line 29:
</div>
</div>


== Example ==
<div class="mw-translate-fuzzy">
'''Risultato:''' Un cilindro pieno centrato su una faccia coincidente con l'origine globale (punto 0,0,0), con un raggio di 2 mm e un'altezza di 10 mm.
</div>


[[Image:Part_Cylinder_Scripting_Example.png|thumb|Part Cylinder from the scripting example]]
The cylinder properties can later be edited, either in the [[Property_editor|Property editor]] or by double-clicking the cylinder in the [[Tree_view|Tree view]].


A Part Cylinder object created with the [[#Scripting|scripting example]] below is shown here.
[[File:cylinder.png|650px|a cylinder created with the Cylinder tool]]

== Notes ==

* A Part Cylinder can also be created with the [[Image:Part_Primitives.svg|16px]] [[Part_Primitives|Part Primitives]] command. With that command you can specify the dimensions and placement at creation time.


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 38: Line 44:
</div>
</div>


See also: [[Property_editor|Property editor]].
* {{PropertyData|Angle}}: This is the rotation angle that permits the creation of a portion of cylinder (it is set to 360° by default)

* {{PropertyData|Height}}: The height is the distance in the z-axis
A Part Cylinder object is derived from a [[Part_Feature|Part Feature]] object and inherits all its properties. It also has the following additional properties:
* {{PropertyData|Radius}}: The radius defines a plane in x-y.

* {{PropertyData|First Angle}}: Angle in first direction. {{Version|0.20}}
=== Data ===
* {{PropertyData|Second Angle}}: Angle in second direction. {{Version|0.20}}

{{TitleProperty|Attachment}}

The object has the same attachment properties as a [[Part_Part2DObject#Data|Part Part2DObject]].

{{TitleProperty|Cylinder}}

* {{PropertyData|Radius|Length}}: The radius of the circular arc that defines the cylinder. The default is {{Value|2mm}}.
* {{PropertyData|Height|Length}}: The height of the cylinder. The default is {{Value|10mm}}.
* {{PropertyData|Angle|Angle}}: The angle of the circular arc that defines the cylinder. Valid range: {{Value|0° &lt; value &lt;&#61; 360°}}. The default is {{Value|360°}}. If it is smaller than {{Value|360°}} the resulting solid will be a segment of a cylinder.

{{TitleProperty|Prism}}

* {{PropertyData|First Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}
* {{PropertyData|Second Angle|Angle}}: The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: {{Value|0° &lt;&#61; value &lt; 90°}}. The default is {{Value|0°}}. {{Version|0.20}}


== Scripting ==
== Scripting ==


See also: [https://freecad.github.io/SourceDoc/ Autogenerated API documentation], [[Part_scripting|Part scripting]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].
A Part Cylinder can be created using the following function:

A Part Cylinder can be created with the {{Incode|addObject()}} method of the document:


{{Code|code=
{{Code|code=
Line 54: Line 77:
* Where {{Incode|"myCylinder"}} is the name for the object.
* Where {{Incode|"myCylinder"}} is the name for the object.
* The function returns the newly created object.
* The function returns the newly created object.

Example:

{{Code|code=
import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()
}}




Line 60: Line 98:
</div>
</div>


{{Part Tools navi{{#translation:}}}}
{{Part_Tools_navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Revision as of 09:50, 3 March 2022

Cilindro

Posizione nel menu
Parte → Primitive → Cilindro
Ambiente
Parte
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Crea primitive

Description

Descrizione

Crea un cilindro parametrico. Attualmente, nell'ambiente Parte, ci sono due modi per creare un cilindro.

A Part Cylinder can be turned into a segment of a cylinder by changing its DatiAngle property.

Utilizzo

  1. Attivare l'ambiente Parte.
  2. Richiamare il comando Cilindro in uno di questi modi:
    • Premere il pulsante
    • Usare Part → Primitive → Cilindro dal menu principale.

Example

Part Cylinder from the scripting example

A Part Cylinder object created with the scripting example below is shown here.

Notes

  • A Part Cylinder can also be created with the Part Primitives command. With that command you can specify the dimensions and placement at creation time.

Opzioni

Le proprietà possono essere successivamente modificate nella scheda dati del cilindro:

See also: Property editor.

A Part Cylinder object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Cylinder

  • DatiRadius (Length): The radius of the circular arc that defines the cylinder. The default is 2mm.
  • DatiHeight (Length): The height of the cylinder. The default is 10mm.
  • DatiAngle (Angle): The angle of the circular arc that defines the cylinder. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a cylinder.

Prism

  • DatiFirst Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its Y axis. The angle is positive towards its positive X axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20
  • DatiSecond Angle (Angle): The angle between the extrusion direction of the cylinder and its positive Z axis, measured around its X axis. The angle is positive towards its positive Y axis. Valid range: 0° <= value < 90°. The default is . introduced in version 0.20

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Cylinder can be created with the addObject() method of the document:

cylinder = FreeCAD.ActiveDocument.addObject("Part::Cylinder", "myCylinder")
  • Where "myCylinder" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

cylinder = doc.addObject("Part::Cylinder", "myCylinder")
cylinder.Radius = 10
cylinder.Height = 50
cylinder.Placement = App.Placement(App.Vector(5, 10, 15), App.Rotation(75, 60, 30))

doc.recompute()